Name: H5Fget_filesize
Signature:
  herr_t `H5Fget_filesize`(hid_t `file_id`, hsize_t *`size` )
Purpose:
  Returns the size of an HDF5 file.
Description:
  `H5Fget_filesize` returns the size of the HDF5 file specified by `file_id`.

  The returned size is that of the entire file, as opposed to only the HDF5 portion of the file. I.e., `size` includes the user block, if any, the HDF5 portion of the file, and any data that may have been appended beyond the data written through the HDF5 Library.

Parameters:

hid_t `file_id`
  IN: Identifier of a currently-open HDF5 file
hsize_t *`size`
  OUT: Size of the file, in bytes.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5fget_freespace_f

      SUBROUTINE h5fget_filesize_f(file_id, size, hdferr)

        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: file_id    ! file identifier
        INTEGER(HSIZE_T), INTENT(OUT) :: size    ! Size of the file
        INTEGER, INTENT(OUT) :: hdferr           ! Error code: 0 on success,
                                                 ! -1 if fail
      END SUBROUTINE h5fget_filesize_f

History:

Release | C |  | Fortran90
1.6.3 | Function introduced in this release. |  | Fortran subroutine introduced in this release.